Vehicle RC Hybrid Async
Overview
This API enables users to retrieve detailed information about a vehicle using its registration number. It provides comprehensive data related to vehicle registration and ownership details.
The service is designed to operate asynchronously. If the required information is available within 4 seconds, the response is returned immediately. Otherwise, the response is delivered asynchronously once the data becomes available.
The API consists of two main endpoints:
- /api/v3/vehicle/rc-hybrid-detailed-async : This endpoint is used to initiate a request for vehicle registration information using the vehicle number & callback url.
- /api/v3/vehicle/rc-hybrid-detailed-get-data : This endpoint is used to fetch the requested vehicle registration information using the requestID in the response of the initiate request.
API Guidelines
To ensure the success of API requests and accurate results, follow these input guidelines when making requests to the API :
- vehicleNumber : The vehicle registration number. It should be a valid registration number, formatted according to the Indian vehicle registration system.Vehicle Number is the Mandatory Parameter to be passed. It can be passed in lower or upper case.
- callbackUrl : The URL to which the API will send a callback after processing the request.
Sample Curl & API details
Initiating a request for a Number (ASYNC)
curl --location 'https://api-preproduction.signzy.app/api/v3/vehicle/rc-hybrid-detailed-async' \
--header 'Authorization: <Auth-token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"vehicleNumber": " ",
"callbackUrl": " "
}'Input Parameters (ASYNC)
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
Content-Type | Required | application/json |
Authorization | Required | Authorization token of the client |
vehicleNumber | Required | Vehicle number data is to be fetched |
callbackUrl | Required | The URL for callback |
Sample JSON Response (ASYNC-API)
The rc-advanced-detailed-async (Initiate request) API response will be in JSON format & will return the requestId corresponding to the input vehicleNumber & callbackUrl provided in the input.
The sample response will appear as following :
{
"result": {
"regNo": "<>",
"class": "<>",
"chassis": "<>",
"engine": "<>",
"vehicleManufacturerName": "<>",
"model": "<>",
"vehicleColour": "<>",
"type": "<>",
"normsType": "<>",
"bodyType": "<>",
"ownerCount": "<>",
"owner": "<>",
"ownerFatherName": "<>",
"mobileNumber": "<>",
"status": "<>",
"statusAsOn": "<>",
"regAuthority": "<>",
"regDate": "<>",
"vehicleManufacturingMonthYear": "<>",
"rcExpiryDate": "<>",
"vehicleTaxUpto": "<>",
"vehicleInsuranceCompanyName": "<>",
"vehicleInsuranceUpto": "<>",
"vehicleInsurancePolicyNumber": "<>",
"rcFinancer": "<>",
"presentAddress": "<>",
"splitPresentAddress": {
"district": [
"<>"
],
"state": [
[
"<>",
"<>",
]
],
"city": [
"<>",
],
"pincode": "<>",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "<>",
},
"permanentAddress": "<>",
"splitPermanentAddress": {
"district": [
"<>",
],
"state": [
[
"<>",
"<>"
]
],
"city": [
"<>",
],
"pincode": "<>",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "<>",
},
"vehicleCubicCapacity": "<>",
"grossVehicleWeight": "<>",
"unladenWeight": "<>",
"vehicleCategory": "<>",
"rcStandardCap": "<>",
"vehicleCylindersNo": "<>",
"vehicleSeatCapacity": "<>",
"vehicleSleeperCapacity": "<>",
"vehicleStandingCapacity": "<>",
"wheelbase": "<>",
"vehicleNumber": "<>",
"puccNumber": "<>",
"puccUpto": "<>",
"blacklistStatus": "<>",
"blacklistDetails":"<>",
"challanDetails":"<>",
"permitIssueDate": "<>",
"permitNumber": "<>",
"permitType": "<>",
"permitValidFrom": "<>",
"permitValidUpto": "<>",
"nonUseStatus": "<>",
"nonUseFrom": "<>",
"nonUseTo": "<>",
"nationalPermitNumber": "<>",
"nationalPermitUpto": "<>",
"nationalPermitIssuedBy": "<>",
"isCommercial": "<>",
"nocDetails": "<>",
"rtoCode": "<>"
}
}
Fetching Vehicle Registration Information (Get-Data)
curl --location 'https://api-preproduction.signzy.app/api/v3/vehicle/rc-hybrid-detailed-get-data' \
--header 'Authorization: <Auth-token>' \
--header 'Content-Type: application/json' \
--data '{
"requestId": "<requestId>"
}'Input Parameters (Get-data)
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
Content-Type | Required | application/json |
Authorization | Required | Authorization token of the client |
requestId | Required | The unique ID associated with the input request. |
Sample JSON Response (Get-Data)
The /api/v3/vehicle/rc-advanced-detailed-get-data API response will be in JSON format, containing the requested vehicle registration information along with input vehicleNumber & requestId.
The sample response will appear as following :
{
"result": {
"regNo": "<>",
"class": "<>",
"chassis": "<>",
"engine": "<>",
"vehicleManufacturerName": "<>",
"model": "<>",
"vehicleColour": "<>",
"type": "<>",
"normsType": "<>",
"bodyType": "<>",
"ownerCount": "<>",
"owner": "<>",
"ownerFatherName": "<>",
"mobileNumber": "<>",
"status": "<>",
"statusAsOn": "<>",
"regAuthority": "<>",
"regDate": "<>",
"vehicleManufacturingMonthYear": "<>",
"rcExpiryDate": "<>",
"vehicleTaxUpto": "<>",
"vehicleInsuranceCompanyName": "<>",
"vehicleInsuranceUpto": "<>",
"vehicleInsurancePolicyNumber": "<>",
"rcFinancer": "<>",
"presentAddress": "<>",
"splitPresentAddress": {
"district": [
"<>"
],
"state": [
[
"<>",
"<>",
]
],
"city": [
"<>",
],
"pincode": "<>",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "<>",
},
"permanentAddress": "<>",
"splitPermanentAddress": {
"district": [
"<>",
],
"state": [
[
"<>",
"<>"
]
],
"city": [
"<>",
],
"pincode": "<>",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "<>",
},
"vehicleCubicCapacity": "<>",
"grossVehicleWeight": "<>",
"unladenWeight": "<>",
"vehicleCategory": "<>",
"rcStandardCap": "<>",
"vehicleCylindersNo": "<>",
"vehicleSeatCapacity": "<>",
"vehicleSleeperCapacity": "<>",
"vehicleStandingCapacity": "<>",
"wheelbase": "<>",
"vehicleNumber": "<>",
"puccNumber": "<>",
"puccUpto": "<>",
"blacklistStatus": "<>",
"blacklistDetails":"<>",
"challanDetails":"<>",
"permitIssueDate": "<>",
"permitNumber": "<>",
"permitType": "<>",
"permitValidFrom": "<>",
"permitValidUpto": "<>",
"nonUseStatus": "<>",
"nonUseFrom": "<>",
"nonUseTo": "<>",
"nationalPermitNumber": "<>",
"nationalPermitUpto": "<>",
"nationalPermitIssuedBy": "<>",
"isCommercial": "<>",
"nocDetails": "<>",
"rtoCode": "<>"
}
}Response Fields
Field | Data Type | Description |
|---|---|---|
requestId | String | The unique ID associated with the request. |
vehicleNumber | String | The vehicle's registration number. |
callbackUrl | String | The URL for callback notifications. |
statusCode | Integer | The HTTP status code of the response. |
status | String | The status of the request (success/failure). |
message | String | A message associated with the status. |
regNo | String | The vehicle's registration number. |
chassis | String | The chassis number of the vehicle. |
engine | String | The engine number of the vehicle. |
vehicleManufacturerName | String | The name of the vehicle manufacturer. |
model | String | The model of the vehicle. |
vehicleColour | String | The color of the vehicle. |
normsType | String | The emission norms type of the vehicle. |
bodyType | String | The body type of the vehicle. |
ownerCount | String | The number of previous owners of the vehicle. |
owner | String | The current owner of the vehicle. |
ownerFatherName | String | The father's name of the owner. |
mobileNumber | String | The mobile number of the owner. |
status | String | The current status of the vehicle. |
statusAsOn | String | The date of the status update. |
regAuthority | String | The authority that registered the vehicle. |
regDate | String | The registration date of the vehicle. |
vehicleManufacturingMonthYear | String | The manufacturing month and year of the vehicle. |
rcExpiryDate | String | The expiry date of the registration certificate. |
vehicleTaxUpto | String | The tax validity date of the vehicle. |
vehicleInsuranceCompanyName | String | The name of the vehicle insurance company. |
vehicleInsuranceUpto | String | The expiry date of the vehicle insurance. |
vehicleInsurancePolicyNumber | String | The policy number of the vehicle insurance. |
rcFinancer | String | The financier details from the registration certificate. |
presentAddress | String | The current address of the owner. |
permanentAddress | String | The permanent address of the owner. |
vehicleCubicCapacity | String | The cubic capacity of the vehicle's engine. |
grossVehicleWeight | String | The gross weight of the vehicle. |
vehicleCategory | String | The category of the vehicle (e.g., LMV, HMV). |
rcStandardCap | String | The standard capacity of the vehicle from the registration certificate. |
vehicleCylindersNo | String | The number of cylinders in the vehicle's engine. |
vehicleSeatCapacity | String | The number of seats in the vehicle. |
vehicleSleeperCapacity | String | The number of sleeper berths in the vehicle. |
vehicleStandingCapacity | String | The standing capacity of the vehicle. |
wheelbase | String | The wheelbase of the vehicle. |
puccNumber | String | The PUC (Pollution Under Control) certificate number. |
puccUpto | String | The expiry date of the PUC certificate. |
blacklistStatus | Boolean | Whether the vehicle is blacklisted. |
blacklistDetails | String | Details about the blacklisting status. |
permitIssueDate | String | The date of issuance of the permit. |
permitNumber | String | The number of the permit. |
permitType | String | The type of permit. |
permitValidFrom | String | The start date of the permit's validity. |
permitValidUpto | String | The expiry date of the permit. |
nonUseStatus | String | The non-use status of the vehicle. |
nonUseFrom | String | The start date of the non-use period. |
nonUseTo | String | The end date of the non-use period. |
nationalPermitNumber | String | The number of the national permit. |
nationalPermitUpto | String | The expiry date of the national permit. |
nationalPermitIssuedBy | String | The authority that issued the national permit. |
isCommercial | Boolean | Whether the vehicle is used for commercial purposes. |
nocDetails | String | Details about the No Objection Certificate (NOC). |
unladenWeight | String | The unladen weight of the vehicle. |
isFinanced | Boolean | Whether the vehicle is financed. |
splitPresentAddress | Object | The address split into components. |
splitPermanentAddress | Object | The permanent address split into components. |
class | String | The class of the vehicle. |
type | String | The type of fuel used by the vehicle. |
Status Codes & Description
Status Code | Status | Description |
|---|---|---|
200 | Success | The data was successfully returned |
102 | PROCESSING | The server has received and accepted the request, but it is still in the process of processing the request |
404 | Vehicle data not found | The data for the given number was not found in our database |
400 | Invalid Vehicle Number | The vehicle number provided in the input parameters was incorrect |
409 | Upstream Error | Error in fetching data from upstream |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].